package com.ruoyi.custclient.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 用户车辆信息对象 vehicle_info
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
public class VehicleInfo
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** cust_info表中的ID */
    @Excel(name = "cust_info表中的ID")
    private Long custId;

    /** 车牌 */
    @Excel(name = "车牌")
    private String licenseNo;

    /** 车架号 */
    @Excel(name = "车架号")
    private String vinNo;

    /** 品牌型号 */
    @Excel(name = "品牌型号")
    private String brandName;

    /** 发动机号 */
    @Excel(name = "发动机号")
    private String engineNo;

    /** 年款 */
    @Excel(name = "年款")
    private String caryear;

    /** 座位数 */
    @Excel(name = "座位数")
    private Long seatCount;

    /** 整备质量 */
    @Excel(name = "整备质量")
    private BigDecimal completeKerbMass;

    /** 核定载质量 */
    @Excel(name = "核定载质量")
    private BigDecimal limitLoad;

    /** 排量 */
    @Excel(name = "排量")
    private BigDecimal engineDesc;

    /** 发动机功率 */
    @Excel(name = "发动机功率")
    private BigDecimal powerScale;

    /** 新车购置价 */
    @Excel(name = "新车购置价")
    private BigDecimal purchasePrice;

    /** 使用性质 */
    @Excel(name = "使用性质")
    private String property;

    /** 车辆用途 */
    @Excel(name = "车辆用途")
    private Long vehicleUse;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String cartype;

    /** 车辆种类 */
    @Excel(name = "车辆种类")
    private String cimodelclass;

    /** 能源种类 1什么什么类 2什么什么 */
    @Excel(name = "能源种类 1什么什么类 2什么什么")
    private Long energyType;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerDate;

    /** 发证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date issueDate;

    /** 是否新车 1是 2不是 */
    @Excel(name = "是否新车 1是 2不是")
    private Long noLicenseFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCustId(Long custId) 
    {
        this.custId = custId;
    }

    public Long getCustId() 
    {
        return custId;
    }
    public void setLicenseNo(String licenseNo) 
    {
        this.licenseNo = licenseNo;
    }

    public String getLicenseNo() 
    {
        return licenseNo;
    }
    public void setVinNo(String vinNo) 
    {
        this.vinNo = vinNo;
    }

    public String getVinNo() 
    {
        return vinNo;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setEngineNo(String engineNo) 
    {
        this.engineNo = engineNo;
    }

    public String getEngineNo() 
    {
        return engineNo;
    }
    public void setCaryear(String caryear) 
    {
        this.caryear = caryear;
    }

    public String getCaryear() 
    {
        return caryear;
    }
    public void setSeatCount(Long seatCount) 
    {
        this.seatCount = seatCount;
    }

    public Long getSeatCount() 
    {
        return seatCount;
    }
    public void setCompleteKerbMass(BigDecimal completeKerbMass) 
    {
        this.completeKerbMass = completeKerbMass;
    }

    public BigDecimal getCompleteKerbMass() 
    {
        return completeKerbMass;
    }
    public void setLimitLoad(BigDecimal limitLoad) 
    {
        this.limitLoad = limitLoad;
    }

    public BigDecimal getLimitLoad() 
    {
        return limitLoad;
    }
    public void setEngineDesc(BigDecimal engineDesc) 
    {
        this.engineDesc = engineDesc;
    }

    public BigDecimal getEngineDesc() 
    {
        return engineDesc;
    }
    public void setPowerScale(BigDecimal powerScale) 
    {
        this.powerScale = powerScale;
    }

    public BigDecimal getPowerScale() 
    {
        return powerScale;
    }
    public void setPurchasePrice(BigDecimal purchasePrice) 
    {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchasePrice() 
    {
        return purchasePrice;
    }
    public void setProperty(String property) 
    {
        this.property = property;
    }

    public String getProperty() 
    {
        return property;
    }
    public void setVehicleUse(Long vehicleUse) 
    {
        this.vehicleUse = vehicleUse;
    }

    public Long getVehicleUse() 
    {
        return vehicleUse;
    }
    public void setCartype(String cartype) 
    {
        this.cartype = cartype;
    }

    public String getCartype() 
    {
        return cartype;
    }
    public void setCimodelclass(String cimodelclass) 
    {
        this.cimodelclass = cimodelclass;
    }

    public String getCimodelclass() 
    {
        return cimodelclass;
    }
    public void setEnergyType(Long energyType) 
    {
        this.energyType = energyType;
    }

    public Long getEnergyType() 
    {
        return energyType;
    }
    public void setRegisterDate(Date registerDate) 
    {
        this.registerDate = registerDate;
    }

    public Date getRegisterDate() 
    {
        return registerDate;
    }
    public void setIssueDate(Date issueDate) 
    {
        this.issueDate = issueDate;
    }

    public Date getIssueDate() 
    {
        return issueDate;
    }
    public void setNoLicenseFlag(Long noLicenseFlag) 
    {
        this.noLicenseFlag = noLicenseFlag;
    }

    public Long getNoLicenseFlag() 
    {
        return noLicenseFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("custId", getCustId())
            .append("licenseNo", getLicenseNo())
            .append("vinNo", getVinNo())
            .append("brandName", getBrandName())
            .append("engineNo", getEngineNo())
            .append("caryear", getCaryear())
            .append("seatCount", getSeatCount())
            .append("completeKerbMass", getCompleteKerbMass())
            .append("limitLoad", getLimitLoad())
            .append("engineDesc", getEngineDesc())
            .append("powerScale", getPowerScale())
            .append("purchasePrice", getPurchasePrice())
            .append("property", getProperty())
            .append("vehicleUse", getVehicleUse())
            .append("cartype", getCartype())
            .append("cimodelclass", getCimodelclass())
            .append("energyType", getEnergyType())
            .append("registerDate", getRegisterDate())
            .append("issueDate", getIssueDate())
            .append("noLicenseFlag", getNoLicenseFlag())
            .toString();
    }
}
